Bug 967237 - [abrt] Thunar-1.6.3-1.fc19: thunar_shortcuts_model_set_busy: Process /usr/bin/thunar was killed by signal 11 (SIGSEGV)
[abrt] Thunar-1.6.3-1.fc19: thunar_shortcuts_model_set_busy: Process /usr/bin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:26c5c3a5ef6917bd26779d8cd71...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 18:05 EDT by Andy Lawrence
Modified: 2015-03-20 08:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.10 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: core_backtrace (2.14 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: dso_list (6.18 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: environ (749 bytes, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: maps (52.20 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: open_fds (1.40 KB, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: proc_pid_status (919 bytes, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details
File: var_log_messages (374 bytes, text/plain)
2013-05-25 18:05 EDT, Andy Lawrence
no flags Details

  None (edit)
Description Andy Lawrence 2013-05-25 18:05:18 EDT
Description of problem:
Attempting to eject a 16GB usb mass storage device.

Version-Release number of selected component:
Thunar-1.6.3-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
kernel:         3.9.3-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 thunar_shortcuts_model_set_busy at thunar-shortcuts-model.c:2114
 #1 thunar_shortcuts_view_eject_finish at thunar-shortcuts-view.c:1860
 #2 thunar_device_operation_finish at thunar-device.c:274
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #4 eject_cb at gproxydrive.c:599
 #5 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #6 reply_cb at gdbusproxy.c:2632
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #8 g_dbus_connection_call_done at gdbusconnection.c:5333
 #9 g_simple_async_result_complete at gsimpleasyncresult.c:777

Potential duplicate: bug 915430
Comment 1 Andy Lawrence 2013-05-25 18:05:21 EDT
Created attachment 753180 [details]
File: backtrace
Comment 2 Andy Lawrence 2013-05-25 18:05:24 EDT
Created attachment 753181 [details]
File: cgroup
Comment 3 Andy Lawrence 2013-05-25 18:05:26 EDT
Created attachment 753182 [details]
File: core_backtrace
Comment 4 Andy Lawrence 2013-05-25 18:05:29 EDT
Created attachment 753183 [details]
File: dso_list
Comment 5 Andy Lawrence 2013-05-25 18:05:32 EDT
Created attachment 753184 [details]
File: environ
Comment 6 Andy Lawrence 2013-05-25 18:05:34 EDT
Created attachment 753185 [details]
File: limits
Comment 7 Andy Lawrence 2013-05-25 18:05:37 EDT
Created attachment 753186 [details]
File: maps
Comment 8 Andy Lawrence 2013-05-25 18:05:40 EDT
Created attachment 753187 [details]
File: open_fds
Comment 9 Andy Lawrence 2013-05-25 18:05:43 EDT
Created attachment 753188 [details]
File: proc_pid_status
Comment 10 Andy Lawrence 2013-05-25 18:05:46 EDT
Created attachment 753189 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-05-26 13:13:15 EDT
Can you duplicate this? Or was it a one time thing?
Comment 12 Andy Lawrence 2013-05-26 18:12:32 EDT
I have seen it more than once, but it's not repeatable.  Anything specific I can do/log/capture next time it happens?
Comment 13 Kevin Fenzi 2013-05-28 09:03:44 EDT
Well, if you can figure out a series of steps that always causes the crash that would be great.
Comment 14 Andy Lawrence 2013-05-29 06:31:03 EDT
Sure :)  I guess what I meant was I could run in gdb till it happens again or something similar.
Comment 15 Kevin Fenzi 2013-05-29 12:31:05 EDT
If you like, not sure that will get too much more info in the end tho. ;)
Comment 16 Yajo 2014-04-17 07:44:41 EDT
Another user experienced a similar problem:

Unmounting an SMB share.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
kernel:         3.13.6-100.fc19.x86_64
package:        Thunar-1.6.3-1.fc19
reason:         thunar killed by SIGSEGV
runlevel:       N 3
type:           CCpp
uid:            1001
Comment 17 Fedora End Of Life 2015-01-09 17:07:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 08:54:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.